Retrieve a payment

Retrieves the details of a payment that has previously been created. Supply the unique payment Id that was returned from your previous request.

Path Parameters
  • id
    Type: string
    max length:  
    200
    required
Query Parameters
  • expand
    Type: array string[]
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v2/payments/{id}
curl 'https://api.paypercut.io/v2/payments/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "amount": 2000,
  "currency": {
    "iso": "usd",
    "scale": 2
  },
  "balance_transaction": {
    "amount": 1,
    "created": "2026-04-02T14:45:59.065Z",
    "currency": {
      "iso": "usd",
      "scale": 2
    },
    "exchange_rate": null,
    "fee": 1,
    "id": "string",
    "net": 1
  },
  "formatted_amount": "20.00",
  "amount_captured": 1,
  "amount_refunded": 1,
  "status": "failed",
  "latest_status": "succeeded",
  "captured": true,
  "created": "2026-04-02T14:45:59.065Z",
  "updated": "2026-04-02T14:45:59.065Z",
  "outcome": {
    "network_decline_code": null,
    "network_status": null,
    "risk_score": 1,
    "seller_message": null,
    "type": "string"
  },
  "failure_code": null,
  "failure_message": null,
  "paid": true,
  "payment_method": "card",
  "payment_method_details": {
    "card": {
      "amount_authorized": null,
      "authorization_code": null,
      "authorization_type": null,
      "capture_before": null,
      "transaction_type": null,
      "brand": null,
      "country": null,
      "cardholder_name": null,
      "issuer": null,
      "funding": "string",
      "segment": "string",
      "exp_month": 1,
      "exp_year": 1,
      "last4": null,
      "network_transaction_id": null,
      "iin": "string",
      "three_d_secure": {
        "version": null
      },
      "wallet": {
        "type": "string"
      }
    }
  },
  "customer": "01K755J9SV2364REVHB915Z2FW",
  "payment_intent": "01K755J9SY55CS04SQ3JX1NX36",
  "checkout_id": null,
  "account": {
    "type": "standard",
    "country": "GB",
    "default_currency": "EUR",
    "email": "john.smith@example.com",
    "details_submitted": true,
    "business_type": "company",
    "tos_acceptance": {
      "date": "2026-04-02T14:45:59.065Z",
      "ip": "string",
      "user_agent": "string",
      "service_agreement": "string"
    },
    "business_profile": {
      "name": null,
      "support_email": null,
      "support_phone": null,
      "support_url": null,
      "mcc": 5411,
      "url": "https://www.example.com",
      "annual_revenue": {
        "amount": 1,
        "currency": "EUR",
        "fiscal_year_end": "string"
      },
      "support_address": {
        "city": null,
        "country": null,
        "line1": null,
        "line2": null,
        "postal_code": null,
        "state": null
      },
      "monthly_estimated_revenue": {
        "amount": 1,
        "currency": "EUR"
      },
      "product_description": null,
      "estimated_worker_count": null
    },
    "company": {
      "address": {
        "city": null,
        "country": null,
        "line1": null,
        "line2": null,
        "postal_code": null,
        "state": null
      },
      "directors_provided": true,
      "executives_provided": true,
      "name": null,
      "owners_provided": true,
      "phone": null,
      "structure": "multi_member_llc",
      "tax_id_provided": true,
      "tax_id_registrar": "string",
      "vat_id_provided": true,
      "directorship_declaration": {
        "date": "2026-04-02T14:45:59.065Z",
        "ip": "string",
        "user_agent": "string"
      },
      "ownership_declaration": {
        "date": "2026-04-02T14:45:59.065Z",
        "ip": "string",
        "user_agent": "string"
      },
      "representative_declaration": {
        "date": "2026-04-02T14:45:59.065Z",
        "ip": "string",
        "user_agent": "string"
      }
    },
    "requirements": {
      "current_deadline": null,
      "currently_due": [
        "string"
      ],
      "disabled_reason": "action_required.requested_capabilities",
      "errors": [
        {
          "code": "external_request",
          "reason": "string",
          "requirement": "string"
        }
      ],
      "eventually_due": [
        "string"
      ],
      "past_due": [],
      "pending_verification": [
        "string"
      ]
    },
    "metadata": {
      "additionalProperty": "string"
    },
    "id": "01KAKB228G3K4E98NFVE2MGHW4",
    "created": "2026-04-02T14:45:59.065Z"
  },
  "latest_operation": "capture",
  "refunded": true,
  "disputed": true,
  "fraud_details": {
    "response_state": "string",
    "fraud_score": 1
  },
  "client_reference_id": null,
  "statement_descriptor": null,
  "fee": 1,
  "fee_details": [
    {
      "amount": 1,
      "currency": {
        "iso": "usd",
        "scale": 2
      },
      "applied_amount": 1,
      "applied_amount_currency": {
        "iso": "usd",
        "scale": 2
      },
      "balance_account_id": null,
      "fixed_amount": 0.25,
      "rate": 1,
      "payer": "string",
      "payee": "string",
      "rule": "string",
      "exchange_rate": {
        "from_currency": {
          "iso": "usd",
          "scale": 2
        },
        "to_currency": {
          "iso": "usd",
          "scale": 2
        },
        "rate": 1,
        "reversed_rate": 1
      },
      "description": null,
      "type": "string"
    }
  ],
  "livemode": true,
  "metadata": {
    "additionalProperty": "string"
  }
}